%define name gromacs
%define version 4.0.7
%define release %mkrel 2

Summary: Molecular dynamics package (non-mpi version)
Name: %name
Version: %version
Release: %release
License: GPL
Group: Sciences/Chemistry
Buildroot: %_tmppath/%name-root
Requires: fftw >= 3.0.1
Source: ftp://ftp.gromacs.org/pub/gromacs/%name-%version.tar.gz
Buildrequires: fftw-devel
Buildrequires: gsl-devel
Buildrequires: X11-devel
URL: http://www.gromacs.org

%description
GROMACS is a versatile and extremely well optimized package
to perform molecular dynamics computer simulations and
subsequent trajectory analysis. It is developed for
biomolecules like proteins, but the extremely high
performance means it is used also in several other field
like polymer chemistry and solid state physics. This
version has the dynamic libs and executables; to hack new
utility programs you also need the headers and static
libs in gromacs-dev. Linux kernel 2.4 or later is STRONGLY
recommended on Pentium III and later processors since
GROMACS then can use assembly loops with SSE instructions.
You can also perform parallel simulations if you install
gromacs-lammpi.

%package devel
Summary: Header files and static libraries for GROMACS
Group: Development/C++

%description devel
This package contains header files, static libraries,
and a program example for the GROMACS molecular
dynamics software. You need it if you want to write your
own analysis programs.

%prep
%setup -q

%build
%configure2_5x --with-gnu-ld --with-x --with-gsl --enable-shared --without-motif-libraries
%make

%install
%makeinstall

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%_bindir/
%_mandir/man1/*
%_datadir/%name
%_libdir/

%files devel
%defattr(-,root,root)
%_includedir/*
%_libdir/*.a
%_libdir/*.la



%changelog
* Mon Mar 15 2010 Stéphane Téletchéa <steletch@mandriva.org> 4.0.7-2mdv2010.1
+ Revision: 519886
- Fix libdir inclusion to avoid owning the directory which prevents removing the debug files

* Mon Dec 14 2009 Stéphane Téletchéa <steletch@mandriva.org> 4.0.7-1mdv2010.1
+ Revision: 478487
- Update to 4.0.7

* Mon Sep 28 2009 Stéphane Téletchéa <steletch@mandriva.org> 4.0.5-1mdv2010.0
+ Revision: 450710
- gromacs uses a libmd now
- Disco is no more present
- Update to 4.0.5
- Disable for now the underlinking check
- Add missing BR (and increase fftw requirement)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 3.3.2-3mdv2009.0
+ Revision: 246640
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 23 2007 Jérôme Soyer <saispo@mandriva.org> 3.3.2-1mdv2008.1
+ Revision: 101472
- New release
- import gromacs


* Tue Apr 11 2006 Lenny Cartier <lenny@mandriva.com> 3.3.1-1mdk
- 3.3.1

* Mon Nov 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.3-2mdk
- Fix BuildRequires

* Thu Oct 20 2005 Lenny Cartier <lenny@mandriva.com> 3.3-1mdk
- 3.3

* Fri Jun 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.1.4-3mdk
- buildrequires

* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.1.4-2mdk
- rebuild

* Tue Dec 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.1.4-1mdk 
- from Austin Acton <aacton@yorkul.ca> :
	- initial package for Mandrake 9.0+
